Java Version 8 kann nicht kompeliert werden

  • Antworten:1
  • OffenNicht stickyBentwortet
  • Forum-Beiträge: 160

13.08.2019, 16:13:14 via Website

Hallo zusammen

Ich habe auf dem Entwicklerrechner Java 8 installiert. Damit im Projekt auch Java 8 unterstützt wird habe ich im "build.gradel" folgenden Code eingetragen.

compileOptions{
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
}

Wenn ich nun mit der Rechten Maustaste unter App die Modulsettings öffne erhalte ich folgendes Bild:

image

Wenn ich aber nun folgendes einstelle:

image

läst sich das Projekt nicht mehr ausführen und es erscheint der Fehler "ERROR: Could not determine java version from 'JavaVersion.VERSION_1_8'."

Was muss ich ändern damit es funktioniert.

Gruss Renato

— geändert am 15.08.2019, 17:47:07 durch Moderator

Diskutiere mit!
Beste Antwort
Ludy
  • Mod
  • Blogger
  • Forum-Beiträge: 7.498

15.08.2019, 17:42:50 via Website

Hallo Robbiani Renato,

apply plugin: 'com.android.application'

android {
    compileSdkVersion 29
    buildToolsVersion '29.0.1'
    defaultConfig {
        applicationId "org.astra_g.sample"
        minSdkVersion 9
        targetSdkVersion 29
        versionCode 6
        versionName "1.0.4"
        resConfigs "de"
    }
    buildTypes {
        release {
            shrinkResources true
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
    }
    compileOptions {
        sourceCompatibility = '1.8' // sollte so aussehen
        targetCompatibility = '1.8' // sollte so aussehen
    }
}

dependencies {
    implementation('com.android.support:appcompat-v7:25.3.1') {
        exclude module: 'support-annotations'
        exclude module: 'support-media-compat'
        exclude module: 'support-fragment'
        exclude module: 'support-vector-drawable'
        exclude module: 'support-v4'
        exclude module: 'animated-vector-drawable'
    }
}

So sieht es bei mir aus und funktioniert auch

— geändert am 15.08.2019, 17:43:21

Gruß Ludy (App Entwickler)

Mein Beitrag hat dir geholfen? Lass doch ein "Danke" da.☺

Download Samsung Firmware Tool

Meine Wunschliste

Hilfreich?
Diskutiere mit!